Bug 603041 - Remove unnecessary option krb5_changepw_principal
Remove unnecessary option krb5_changepw_principal
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Stephen Gallagher
Chandrasekar Kannan
:
Depends On:
Blocks: 579775
  Show dependency treegraph
 
Reported: 2010-06-11 07:58 EDT by Jakub Hrozek
Modified: 2015-01-04 18:42 EST (History)
4 users (show)

See Also:
Fixed In Version: sssd-1.2.1-15.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:39:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Hrozek 2010-06-11 07:58:02 EDT
Description of problem:
The Kerberos provider contains an option krb5_changepw_principal. Probably no password-changing services that use the kpasswd protocol and relatives use a principal name other than "kadmin/changepw@REALM". 

For 1.2 we should just remove the option from the configAPI and manpages and remove it altogether from a later version.

Version-Release number of selected component (if applicable):
sssd-1.2

How reproducible:
always

Steps to Reproduce:
1. man sssd-krb5
2. grep krb5_changepw_principal /etc/sssd/sssd.api.d/sssd-ipa.conf /etc/sssd/sssd.api.d/sssd-krb5.conf
  
Actual results:
no krb5_changepw_principal

Expected results:
krb5_changepw_principal is in both manpage and config API
Comment 2 Jakub Hrozek 2010-06-11 08:06:01 EDT
The upstream bug is https://fedorahosted.org/sssd/ticket/531
Comment 3 RHEL Product and Program Management 2010-06-11 08:13:17 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 6 Gowrishankar Rajaiyan 2010-07-26 07:21:13 EDT
"krb5_changepw_principal" no more exists in manpage and config API.

Verified in sssd-1.2.1-20.el6.x86_64.
Comment 7 releng-rhel@redhat.com 2010-11-10 16:39:56 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.